Bug 219232 - Install from DVD ISO fails after package installation started
Install from DVD ISO fails after package installation started
Status: CLOSED INSUFFICIENT_DATA
Product: Red Hat Enterprise Linux 5
Classification: Red Hat
Component: anaconda (Show other bugs)
5.0
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Anaconda Maintenance Team
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-12-11 19:07 EST by Dominic Duval
Modified: 2008-08-02 19:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2008-04-18 07:16:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Dominic Duval 2006-12-11 19:07:23 EST
Description of problem:

I wanted to install RHEL5 from a partition that contained the DVD ISO file to
another, different partition where RHEL5 was to be installed. About halfway
through the final package installation step, Anaconda shows an error message
about not being able to access the second CD. 

Version-Release number of selected component (if applicable):

RHEL5-Beta2 Client


How reproducible:

Hapenned once, haven't tried it again. Should always be reproducible.

Steps to Reproduce:
  
1) Copied the ISO to an ext3 fs on /dev/hda1

2) Burned the boot.iso image from the same DVD and booted from the boot.iso CD

3) Selected "hard drive" as installation method

4) Pointed the installer to /dev/hda1

5) Stage 2 of the install executed successfully, and moved on to the next steps.

6) Install failed almost half way through the final package installation step
with a message telling that it couldn't find the second CD. 


Actual results:

The data is actually on the DVD, so the install should proceed normally.

In a worst case scenario (if we can't make the install work with a mounted DVD),
we should bail out right at the beginning of the install. i.e. not after the
partition was formatted and the package installation started.

Expected results:


Additional info:
Comment 1 Jeremy Katz 2006-12-15 11:12:05 EST
What's the error message you received?  Can you provide /tmp/anaconda.log from
when it failed?
Comment 2 Red Hat Bugzilla 2007-06-11 23:30:09 EDT
requested by Jams Antill

Note You need to log in before you can comment on or make changes to this bug.